## mongodb 1.4.4

=== SConstruct ===
--- 
+++ 
@@ -19,6 +19,10 @@
 import urllib
 import urllib2
 import buildscripts
+import buildscripts.bb
+from buildscripts import utils
+
+buildscripts.bb.checkOk()
 
 # --- options ----
 AddOption('--prefix',
@@ -37,6 +41,14 @@
           metavar='DIR',
           help='dist name (0.8.0)')
 
+AddOption('--distmod',
+          dest='distmod',
+          type='string',
+          nargs=1,
+          action='store',
+          metavar='DIR',
+          help='additional piece for full dist name')
+
 
 AddOption( "--64",
            dest="force64",
@@ -116,6 +128,13 @@
           action="store",
           help="use java for javascript" )
 
+AddOption('--asio',
+          dest='asio',
+          type="string",
+          nargs=0,
+          action="store",
+          help="Use Asynchronous IO (NOT READY YET)" )
+
 AddOption( "--d",
            dest="debugBuild",
            type="string",
@@ -144,12 +163,27 @@
            action="store",
            help="don't build shell" )
 
+AddOption( "--safeshell",
+           dest="safeshell",
+           type="string",
+           nargs=0,
+           action="store",
+           help="don't let shell scripts run programs (still, don't run untrusted scripts)" )
+
 AddOption( "--extrapath",
            dest="extrapath",
            type="string",
            nargs=1,
            action="store",
-           help="comma seperated list of add'l paths  (--extrapath /opt/foo/,/foo" )
+           help="comma seperated list of add'l paths  (--extrapath /opt/foo/,/foo) static linking" )
+
+AddOption( "--extrapathdyn",
+           dest="extrapathdyn",
+           type="string",
+           nargs=1,
+           action="store",
+           help="comma seperated list of add'l paths  (--extrapath /opt/foo/,/foo) dynamic linking" )
+
 
 AddOption( "--extralib",
            dest="extralib",
@@ -158,6 +192,20 @@
            action="store",
            help="comma seperated list of libraries  (--extralib js_static,readline" )
 
+AddOption( "--staticlib",
+           dest="staticlib",
+           type="string",
+           nargs=1,
+           action="store",
+           help="comma seperated list of libs to link statically (--staticlib js_static,boost_program_options-mt,..." )
+
+AddOption( "--staticlibpath",
+           dest="staticlibpath",
+           type="string",
+           nargs=1,
+           action="store",
+           help="comma seperated list of dirs to search for staticlib arguments" )
+
 AddOption( "--cxx",
            dest="cxx",
            type="string",
@@ -180,11 +228,31 @@
            action="store",
            help="boost version for linking(1_38)" )
 
+# 
+# to use CPUPROFILE=/tmp/profile
+# to view pprof -gv mongod /tmp/profile
+#
 AddOption( "--pg",
            dest="profile",
            type="string",
            nargs=0,
            action="store" )
+
+AddOption( "--gdbserver",
+           dest="gdbserver",
+           type="string",
+           nargs=0,
+           action="store" )
+
+AddOption("--nostrip",
+          dest="nostrip",
+          action="store_true",
+          help="do not strip installed binaries")
+
+AddOption("--sharedclient",
+          dest="sharedclient",
+          action="store",
+          help="build a libmongoclient.so/.dll")
 
 # --- environment setup ---
 
@@ -231,6 +299,10 @@
 usev8 = not GetOption( "usev8" ) is None
 usejvm = not GetOption( "usejvm" ) is None
 
+asio = not GetOption( "asio" ) is None
+
+justClientLib = (COMMAND_LINE_TARGETS == ['mongoclient'])
+
 env = Environment( MSVS_ARCH=msarch , tools = ["default", "gch"], toolpath = '.' )
 if GetOption( "cxx" ) is not None:
     env["CC"] = GetOption( "cxx" )
@@ -243,6 +315,8 @@
 env.Append( CPPPATH=[ "." ] )
 
 
+if GetOption( "safeshell" ) != None:
+    env.Append( CPPDEFINES=[ "MONGO_SAFE_SHELL" ] )
 
 boostCompiler = GetOption( "boostCompiler" )
 if boostCompiler is None:
@@ -260,14 +334,24 @@
     print( "can't say usesm and usejvm at the same time" )
     Exit(1)
 
-if ( not ( usesm or usejvm or usev8 ) ):
+if ( not ( usesm or usejvm or usev8 or justClientLib) ):
     usesm = True
 
-if GetOption( "extrapath" ) is not None:
-    for x in GetOption( "extrapath" ).split( "," ):
+extraLibPlaces = []
+
+def addExtraLibs( s ):
+    for x in s.split(","):
         env.Append( CPPPATH=[ x + "/include" ] )
         env.Append( LIBPATH=[ x + "/lib" ] )
+        env.Append( LIBPATH=[ x + "/lib64" ] )
+        extraLibPlaces.append( x + "/lib" )
+
+if GetOption( "extrapath" ) is not None:
+    addExtraLibs( GetOption( "extrapath" ) )
     release = True
+
+if GetOption( "extrapathdyn" ) is not None:
+    addExtraLibs( GetOption( "extrapathdyn" ) )
 
 if GetOption( "extralib" ) is not None:
     for x in GetOption( "extralib" ).split( "," ):
@@ -275,12 +359,13 @@
 
 # ------    SOURCE FILE SETUP -----------
 
-commonFiles = Split( "stdafx.cpp buildinfo.cpp db/jsobj.cpp db/json.cpp db/commands.cpp db/lasterror.cpp db/nonce.cpp db/queryutil.cpp shell/mongo.cpp" )
+commonFiles = Split( "stdafx.cpp buildinfo.cpp db/common.cpp db/jsobj.cpp db/json.cpp db/lasterror.cpp db/nonce.cpp db/queryutil.cpp shell/mongo.cpp" )
 commonFiles += [ "util/background.cpp" , "util/mmap.cpp" ,  "util/sock.cpp" ,  "util/util.cpp" , "util/message.cpp" , 
-                 "util/assert_util.cpp" , "util/httpclient.cpp" , "util/md5main.cpp" , "util/base64.cpp", "util/debug_util.cpp"  ]
+                 "util/assert_util.cpp" , "util/httpclient.cpp" , "util/md5main.cpp" , "util/base64.cpp", "util/debug_util.cpp",
+                 "util/thread_pool.cpp" ]
 commonFiles += Glob( "util/*.c" )
-commonFiles += Split( "client/connpool.cpp client/dbclient.cpp client/model.cpp client/parallel.cpp" )
-commonFiles += [ "scripting/engine.cpp" ]
+commonFiles += Split( "client/connpool.cpp client/dbclient.cpp client/model.cpp client/parallel.cpp client/syncclusterconnection.cpp" )
+commonFiles += [ "scripting/engine.cpp" , "scripting/utils.cpp" ]
 
 #mmap stuff
 
@@ -296,11 +381,15 @@
 else:
     commonFiles += [ "util/processinfo_none.cpp" ]
 
-coreDbFiles = []
+coreDbFiles = [ "db/commands.cpp" ]
 coreServerFiles = [ "util/message_server_port.cpp" , "util/message_server_asio.cpp" ]
 
-serverOnlyFiles = Split( "db/query.cpp db/update.cpp db/introspect.cpp db/btree.cpp db/clientcursor.cpp db/tests.cpp db/repl.cpp db/btreecursor.cpp db/cloner.cpp db/namespace.cpp db/matcher.cpp db/dbeval.cpp db/dbwebserver.cpp db/dbinfo.cpp db/dbhelpers.cpp db/instance.cpp db/pdfile.cpp db/cursor.cpp db/security_commands.cpp db/client.cpp db/security.cpp util/miniwebserver.cpp db/storage.cpp db/reccache.cpp db/queryoptimizer.cpp db/extsort.cpp db/mr.cpp s/d_util.cpp" )
+serverOnlyFiles = Split( "db/query.cpp db/update.cpp db/introspect.cpp db/btree.cpp db/clientcursor.cpp db/tests.cpp db/repl.cpp db/btreecursor.cpp db/cloner.cpp db/namespace.cpp db/matcher.cpp db/dbeval.cpp db/dbwebserver.cpp db/dbhelpers.cpp db/instance.cpp db/database.cpp db/pdfile.cpp db/cursor.cpp db/security_commands.cpp db/client.cpp db/security.cpp util/miniwebserver.cpp db/storage.cpp db/reccache.cpp db/queryoptimizer.cpp db/extsort.cpp db/mr.cpp s/d_util.cpp db/cmdline.cpp" )
+serverOnlyFiles += [ "db/index.cpp" ] + Glob( "db/index_*.cpp" )
+
 serverOnlyFiles += Glob( "db/dbcommands*.cpp" )
+serverOnlyFiles += Glob( "db/stats/*.cpp" )
+serverOnlyFiles += [ "db/driverHelpers.cpp" ]
 
 if usesm:
     commonFiles += [ "scripting/engine_spidermonkey.cpp" ]
@@ -308,15 +397,14 @@
 elif usev8:
     commonFiles += [ Glob( "scripting/*v8*.cpp" ) ]
     nojni = True
-elif not nojni:
+elif not (nojni or justClientLib) :
     commonFiles += [ "scripting/engine_java.cpp" ]
 else:
     commonFiles += [ "scripting/engine_none.cpp" ]
     nojni = True
 
 coreShardFiles = []
-shardServerFiles = coreShardFiles + Glob( "s/strategy*.cpp" ) + [ "s/commands_admin.cpp" , "s/commands_public.cpp" , "s/request.cpp" ,  "s/cursors.cpp" ,  "s/server.cpp" , "s/chunk.cpp" , "s/shardkey.cpp" , "s/config.cpp"  ]
-shardServerFiles += [ "client/quorum.cpp" ]
+shardServerFiles = coreShardFiles + Glob( "s/strategy*.cpp" ) + [ "s/commands_admin.cpp" , "s/commands_public.cpp" , "s/request.cpp" ,  "s/cursors.cpp" ,  "s/server.cpp" , "s/chunk.cpp" , "s/shardkey.cpp" , "s/config.cpp" , "s/s_only.cpp" , "db/cmdline.cpp" ]
 serverOnlyFiles += coreShardFiles + [ "s/d_logic.cpp" ]
 
 serverOnlyFiles += [ "db/module.cpp" ] + Glob( "db/modules/*.cpp" )
@@ -327,91 +415,3 @@
     if x.find( "." ) >= 0:
         continue
     print( "adding module: " + x )
-    modRoot = "db/modules/" + x + "/"
-    serverOnlyFiles += Glob( modRoot + "src/*.cpp" )
-    modBuildFile = modRoot + "build.py"
-    if os.path.exists( modBuildFile ):
-        modules += [ imp.load_module( "module_" + x , open( modBuildFile , "r" ) , modBuildFile , ( ".py" , "r" , imp.PY_SOURCE  ) ) ]
-
-allClientFiles = commonFiles + coreDbFiles + [ "client/clientOnly.cpp" , "client/gridfs.cpp" , "s/d_util.cpp" ];
-
-allCXXFiles = allClientFiles + coreShardFiles + shardServerFiles + serverOnlyFiles;
-
-# ---- other build setup -----
-
-platform = os.sys.platform
-if "uname" in dir(os):
-    processor = os.uname()[4]
-else:
-    processor = "i386"
-
-if force32:
-    processor = "i386"
-if force64:
-    processor = "x86_64"
-
-DEFAULT_INSTALl_DIR = "/usr/local"
-installDir = DEFAULT_INSTALl_DIR
-nixLibPrefix = "lib"
-
-distName = GetOption( "distname" )
-dontReplacePackage = False
-
-javaHome = GetOption( "javaHome" )
-javaVersion = "i386";
-javaLibs = []
-
-distBuild = len( COMMAND_LINE_TARGETS ) == 1 and ( str( COMMAND_LINE_TARGETS[0] ) == "s3dist" or str( COMMAND_LINE_TARGETS[0] ) == "dist" )
-if distBuild:
-    release = True
-
-if GetOption( "prefix" ):
-    installDir = GetOption( "prefix" )
-
-def findVersion( root , choices ):
-    for c in choices:
-        if ( os.path.exists( root + c ) ):
-            return root + c
-    raise "can't find a version of [" + root + "] choices: " + choices
-
-def choosePathExist( choices , default=None):
-    for c in choices:
-        if c != None and os.path.exists( c ):
-            return c
-    return default
-
-if "darwin" == os.sys.platform:
-    darwin = True
-    platform = "osx" # prettier than darwin
-
-    if usejvm:
-        env.Append( CPPPATH=[ "-I/System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK/Headers/" ] )
-
-    if not nojni:
-        env.Append( FRAMEWORKS=["JavaVM"] )
-
-    if env["CXX"] is None:
-        if os.path.exists( "/usr/bin/g++-4.2" ):
-            env["CXX"] = "g++-4.2"
-
-    nix = True
-
-    if force64:
-        env.Append( CPPPATH=["/usr/64/include"] )
-        env.Append( LIBPATH=["/usr/64/lib"] )
-        if installDir == DEFAULT_INSTALl_DIR and not distBuild:
-            installDir = "/usr/64/"
-    else:
-        env.Append( CPPPATH=[ "/sw/include" , "/opt/local/include"] )
-        env.Append( LIBPATH=["/sw/lib/", "/opt/local/lib"] )
-
-elif "linux2" == os.sys.platform:
-    linux = True
-    useJavaHome = True
-    javaOS = "linux"
-    platform = "linux"
-
-    javaHome = choosePathExist( [ javaHome , "/usr/lib/jvm/java/" , os.environ.get( "JAVA_HOME" ) ] , "/usr/lib/jvm/java/" )
-
-    if os.uname()[4] == "x86_64" and not force32:
-        linux64 = True
