=== debian/changelog ===
mongodb (1:1.4.4-2ubuntu2) maverick; urgency=low

  * Providing a wrapper for xulrunner (LP: #557024)
    - Moves all binaries under /usr/lib/mongodb
    - adds xulwrapper script to mongodb-clients
    - Sets up symlinks to xulwrapper in /usr/bin for all binaries in
      /usr/lib/mongodb
    - Adding dependency on xulrunner-1.9.2 to mongodb-clients as these
      binaries require the library as well.
    - patched SConstruct + buildscripts/hacks_ubuntu.py: removing rpath 
      because wrapper is used
    - Removing debian/mongodb-server.lintian -- rpath is no longer used
    - Removing debian/mongodb-clients.lintian -- rpath is no longer used

 -- Clint Byrum <clint@ubuntu.com>  Tue, 05 Oct 2010 09:33:47 -0500

mongodb (1:1.4.4-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #605383). Remaining changes:
    - debian/mongodb-server.mongodb.upstart: add upstart job.
    - Add dependency on xulrunner-1.9.2 since mongodb requires libmozjs.so.
    - Mark mongodb-{server,client,dev} as replacing mongodb to be able to
      upgrade from Lucid.

 -- Angel Abad <angelabad@gmail.com>  Sat, 10 Jul 2010 06:40:58 +0100

mongodb (1:1.4.4-2) unstable; urgency=low

  * [3bd69dc] install libs to /usr/lib not /usr/lib64 (Closes: #588557)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 09 Jul 2010 21:26:05 +0200

mongodb (1:1.4.4-1) unstable; urgency=low

  * [5c6a221] Imported Upstream version 1.4.4
  * upstream change log is at 
    http://jira.mongodb.org/browse/SERVER/fixforversion/10166
  * [68c73c3] removed not needed files from upstream
  * [c1546df] debian policy to 3.9.0

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 30 Jun 2010 09:32:45 +0200

mongodb (1:1.4.3-2ubuntu1) maverick; urgency=low

  [ Clint Byrum ]
  * Merge from Debian unstable (LP: #589566)
    Remaining changes:
    - debian/mongodb-server.mongodb.upstart: add upstart job.

  [ Mathias Gug ]
  * debian/control:
    - Add dependency on xulrunner-1.9.2 since mongodb requires libmozjs.so.
    - Mark mongodb-{server,client,dev} as replacing mongodb to be able to
      upgrade from Lucid.

 -- Mathias Gug <mathiaz@ubuntu.com>  Thu, 10 Jun 2010 15:25:34 -0400

mongodb (1:1.4.3-2) unstable; urgency=low

  * [64bca3c] Updated copyright information as requested by Richard
    Kreuter

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 07 Jun 2010 08:27:36 +0200

mongodb (1:1.4.3-1) unstable; urgency=low

  * New upstream version 1.4.3
  * Change log 1.4.3
    http://jira.mongodb.org/browse/SERVER/fixforversion/10156
  * added log to dirs to fix piuparts error

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun, 30 May 2010 10:14:05 +0200

mongodb (1:1.4.2-3) unstable; urgency=low

  * Clean up debian/copyright
  * Fix various typos
  * Generally make lintian happy
  * Change section of mongodb-dev from database to libdevel (now matches
    archive override file)
  * Properly express copyrights
  * Fix typo in manpage
  * Remove unused lintian override.
  * Install usr/lib64 instead of usr/lib in mongodb-dev
  * updated watch file to actually work and report available
    stable releases

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 11 May 2010 22:21:13 +0200

mongodb (1:1.4.2-2) unstable; urgency=low

  * Split single binary package into mongodb-server, mongodb-dev, and
    mongodb-clients.

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 06 May 2010 21:20:52 -0400

mongodb (1:1.4.2-1) unstable; urgency=low

  * [4770a09] New upstream version 1.4.2
  * changelog for 1.4.1
    http://jira.mongodb.org/browse/SERVER/fixforversion/10144
  * changelog for 1.4.2
    http://jira.mongodb.org/browse/SERVER/fixforversion/10155

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 27 Apr 2010 19:55:04 +0200

mongodb (1:1.4.0-2) unstable; urgency=low

  * added Roberto C. Sanchez as co-maintainer

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 09 Apr 2010 21:40:49 +0200

mongodb (1:1.4.0-1) unstable; urgency=low

  * [0ca01a9] Imported Upstream version 1.4.0
  * [76c18ea] removed not needed files for debian
  * [c1578d9] merged changes from debianization from 1.2.4
  * full upstream changelog
    http://jira.mongodb.org/secure/IssueNavigator.jspa?requestId=10080
  * upstream release notes
    http://www.mongodb.org/display/DOCS/1.4+Release+Notes

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 25 Mar 2010 19:44:59 +0100 

mongodb (1:1.2.4-1) unstable; urgency=low

  * [c3803a1] Imported Upstream version 1.2.4
  * [ab4e0c8] removal of unnecessary files for Debian from upstream
    source
  * changelog for upstream at 
    http://jira.mongodb.org/browse/SERVER/fixforversion/10130

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 17 Mar 2010 10:18:01 +0100

mongodb (1:1.2.2-4) unstable; urgency=low

  * ensure removal of upstart script as upload of repacked source is failing

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 10 Mar 2010 07:29:38 +0100

mongodb (1:1.2.2-3) unstable; urgency=low

  * [aced2f4] removed unnecessary dependency (Closes: #572873)
  * [ce78acd] Added call for tests to ensure correct build 
    (Closes: #570106)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun, 07 Mar 2010 21:07:37 +0100

mongodb (1:1.2.2-2) unstable; urgency=low

  * [49232f8] removed upstart, it is buggy + not supported in Debian
    (Closes: #572812)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sat, 06 Mar 2010 22:55:17 +0100

mongodb (1:1.2.2-1ubuntu1) lucid; urgency=low

  [ Richard M Kreuter ]
  * debian/mongodb.conf: uncomment lines to support upstart (LP: #564198)
  * debian/mongodb.upstart: only execute when available (LP: #564202)
  * buildscripts/hacks_ubuntu.py: include nspr in CPPPATH (LP: #557024)
  * scripting/engine_spidermonkey.h: include jsobj.h (LP: #557024)

  [ Emmet Hikory ]
  * Integrate patches (raw): expecting resync when Debian uses new upstream

 -- Emmet Hikory <persia@ubuntu.com>  Fri, 23 Apr 2010 00:43:22 +0900

mongodb (1:1.2.2-1) unstable; urgency=low

  * this commit introduces stable version of MongoDB to Debian, hopefully to

