=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# debug and nostrip is effectively equivalent for current version of scons
# build system in current mongodb revision
DEB_SCONS_FLAGS :=
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEB_SCONS_FLAGS := --d=DEBUGBUILD
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	DEB_SCONS_FLAGS := --d=DEBUGBUILD
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	scons $(DEB_SCONS_FLAGS)
	#docbook-to-man debian/mongodb.sgml > mongodb.1

	#run regression tests
	scons --prefix=$(CURDIR)/debian/tmp-test smoke
	rm -rf $(CURDIR)/debian/tmp-test

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	rm -rf $(CURDIR)/debian/tmp
	# FIXME: scons freaks out at the presence of target files
	# under debian/tmp.
	scons -c
	rm -f config.log
	rm -f mongo
	rm -f mongod
	rm -f mongoimportjson
	rm -f mongoexport
	rm -f mongorestore
	rm -f mongodump
	rm -f mongofiles
	rm -f .sconsign.dblite
	rm -f libmongoclient.a
	rm -rf client/*.o
	rm -rf tools/*.o
	rm -rf shell/*.o
	rm -rf .sconf_temp
	rm -f buildscripts/*.pyc 
	rm -f *.pyc
	rm -f buildinfo.cpp
	rm -rf debian/tmp-test
	rm -f debian/mongodb.upstart
	chmod -x debian/xulwrapper
	dh_clean debian/files

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	scons --prefix=$(CURDIR)/debian/tmp/usr install

	mkdir -p $(CURDIR)/debian/tmp/etc
	install -m 644 $(CURDIR)/debian/mongodb.conf \
		$(CURDIR)/debian/tmp/etc/mongodb.conf

	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
	install -m 644 $(CURDIR)/debian/*.1 \
		$(CURDIR)/debian/tmp/usr/share/man/man1
	chmod +x debian/xulwrapper


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit -pmongodb-server --name=mongodb
#	dh_installinfo
	dh_installman
	for i in `ls debian/mongodb-server/usr/lib/mongodb` ; do dh_link -p mongodb-server usr/lib/mongodb/xulwrapper usr/bin/$$i ; done
	for i in `ls debian/mongodb-clients/usr/lib/mongodb` ; do if [ "$$i" != "xulwrapper" ] ; then dh_link -p mongodb-clients usr/lib/mongodb/xulwrapper usr/bin/$$i ; fi ; done
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
